Retrieve an Integration's Issue Config for an Issue
GET /api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/integrations/{integration_id}/
Retrieve the form fields needed to either link an existing external issue
(such as a Jira ticket or GitHub issue) to a Sentry issue, or create a new
one. The returned linkIssueConfig/createIssueConfig describes the fields
to submit back to this endpoint via PUT/POST respectively.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
issue_id(string)REQUIREDThe ID of the issue you'd like to query.
integration_id(string)REQUIREDThe ID of the integration installed on the organization.
Query Parameters:
action(string)REQUIRED- choices:
- create
- link
Whether to fetch the config for linking an existing external issue (
link) or creating a new one (create).
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:event:adminevent:readevent:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/integrations/{integration_id}/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied{ "id": "123456", "name": "Example Jira", "icon": "https://example.atlassian.net/icon.png", "domainName": "example.atlassian.net", "accountType": null, "scopes": null, "status": "active", "provider": { "key": "jira", "slug": "jira", "name": "Jira", "canAdd": false, "canDisable": false, "features": [ "issue-basic", "issue-sync", "ticket-rules" ], "aspects": {} }, "createIssueConfig": [ { "name": "title", "label": "Title", "default": "TypeError: Cannot read property \"foo\" of undefined", "type": "string", "required": true }, { "name": "description", "label": "Description", "default": "Sentry Issue: PROJECT-1\nhttps://example.sentry.io/issues/1/", "type": "textarea", "autosize": true, "maxRows": 10 } ] }
Was this helpful?